Give an organization member a role on this environment, or change it.
PUT
/api/v1/projects/{project}/environments/{environment}/members/{member}
const url = 'https://example.com/api/v1/projects/example/environments/example/members/example';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"role":"developer"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/projects/example/environments/example/members/example \ --header 'Content-Type: application/json' \ --data '{ "role": "developer" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project
required
string
Project name
environment
required
string
Environment short name
member
required
string
User id
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
role
required
viewer, developer, admin or owner.
string
Example
developerResponses
Section titled “Responses”Media typeapplication/json
object
id
required
string
email
required
string
display_name
string | null
role
required
string
must_change_password
required
Invited and has not replaced the temporary password yet.
boolean
active
required
boolean
Examplegenerated
{ "id": "example", "email": "example", "display_name": "example", "role": "example", "must_change_password": true, "active": true}Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}